## com.bbn.openmap.layer.util.http
Class FileListener

    java.lang.Object
      com.bbn.openmap.layer.util.http.FileListener

All Implemented Interfaces:
  java.util.EventListener, HttpRequestListener

public class FileListener
extends java.lang.Object
implements HttpRequestListener

An HttpRequestListener that sends a file back.

Version:
  1.0, 06/13/97
Author:
  Tom Mitchell

Constructor Summary
`FileListener()`

Method Summary
`void` `httpRequest(HttpRequestEvent e)` Reverse the input and send it back to the client.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileListener

    public FileListener()

Method Detail

### httpRequest

    public void httpRequest(HttpRequestEvent e)
                     throws java.io.IOException

  Reverse the input and send it back to the client.

  Specified by:
    `httpRequest` in interface `HttpRequestListener`
  Throws:
    `java.io.IOException`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details